package com.bocloud.cmp.provider.jumpserver;

import com.bocloud.cmp.model.jumpserver.Rule;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

import java.util.List;

public interface RuleProvider extends SuperProvider {

    default BocloudResult<List<Rule>> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<Rule> create(Rule rule) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<Rule> modify(Rule rule) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> remove(Rule rule) {
        return new BocloudResult<>(false, "need implement");
    }
}
